#include <iostream>
#include <vector>
#include <utility>
#include <map>

using namespace std;// sabiranje vektora



int main()
{
    int n,xi,yi,ima;
    pair<int,int> heh;
    cin >> n;
    vector< pair<int,int> > kordinate(n);
    map<pair<int,int>,int> tacke;
    for(int i=0;i<n;i++){
        cin >> kordinate[i].first >> kordinate[i].second;
    }
    ima=0;
    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){ //sortiram tako da je x uvek pozitivno
            if(kordinate[i].first<kordinate[j].first){
                heh.first=kordinate[j].first-kordinate[i].first;
                heh.second=kordinate[j].second-kordinate[i].second;
                tacke[heh]++;
            }
            else{
                heh.first=kordinate[i].first-kordinate[j].first;
                heh.second=kordinate[i].second-kordinate[j].second;
                tacke[heh]++;
            }
        }
    }
    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){ //sortiram tako da je x uvek pozitivno
            if(kordinate[i].first<kordinate[j].first){
                heh.first=(kordinate[j].first-kordinate[i].first)*2;
                heh.second=(kordinate[j].second-kordinate[i].second)*2;
                ima+=tacke[heh];
            }
            else{
                heh.first=2*(kordinate[i].first-kordinate[j].first);
                heh.second=2*(kordinate[i].second-kordinate[j].second);
                ima+=tacke[heh];
            }
        }
    }
    /**for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){
            for(int i2=0;i2<n;i2++){
                for(int j2=i2+1;j2<n;j2++){
                    if(2*(kordinate[i].first-kordinate[j].first)==kordinate[i2].first-kordinate[j2].first && (kordinate[i].second-kordinate[j].second)*2==kordinate[i2].second-kordinate[j2].second){
                        ima++;
                    }
                    else if(2*(kordinate[i].first-kordinate[j].first)==kordinate[j2].first-kordinate[i2].first && 2*(kordinate[i].second-kordinate[j].second)==kordinate[j2].second-kordinate[i2].second){
                        ima++;
                    }
                }
            }
        }
    }*/
    cout << ima << endl;
    return 0;
}